Groovy 1.7.0

## groovy.util
Class FileNameFinder

    java.lang.Object
      groovy.util.FileNameFinder

    class FileNameFinder
    extends Object

Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to Ant's fileset pattern conventions.

author:
  Dierk Koenig

author:
  Paul King

Constructor Summary
`FileNameFinder()`

Method Summary
`List` | `getFileNames(String basedir, String pattern)`
`List` | `getFileNames(String basedir, String pattern, String excludesPattern)`
`List` | `getFileNames(Map args)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FileNameFinder

    FileNameFinder()

Method Detail

### getFileNames

    List getFileNames(String basedir, String pattern)

### getFileNames

    List getFileNames(String basedir, String pattern, String excludesPattern)

### getFileNames

    List getFileNames(Map args)

Copyright © 2003-2009 The Codehaus. All rights reserved.